//+------------------------------------------------------------------+
//|                                                          GUI.mqh |
//|                        Copyright 2022, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#include "Program.mqh"
//+------------------------------------------------------------------+
//| Create GUI                                                       |
//+------------------------------------------------------------------+
bool CProgram::CreateGUI(void) {
   int win_index=0;
   if(!CWndCreate::CreateWindow(m_window1,"Authorization",1,1,250,220,true,false,true,false))
      return(false);

   int width[]={0,90};
   string text[]={"","Disconnected"};
   if(!CWndCreate::CreateStatusBar(m_status_bar,m_window1,1,23,22,text,width))
      return(false);
   
   int x_size     =232;
   int x_size_btn =114;
   
   string tabs_names1[] ={"Sign in","Sign up"};
   int    tabs_width1[] ={123,124};
   if(!CWndCreate::CreateTabs(m_tabs1,m_window1,win_index,2,42,250,200,tabs_names1,tabs_width1,TABS_TOP,true,true,2,24))
      return(false);
   
   int tab_index=0;
   
   if(!CWndCreate::CreateButton(m_csrf_cookie_btn,"Get CSRF-cookie",m_tabs1,win_index,m_tabs1,tab_index,7,10,x_size_btn))
      return(false);
   if(!CWndCreate::CreateButton(m_user_btn,"Get user data",m_tabs1,win_index,m_tabs1,tab_index,125,10,x_size_btn))
      return(false);
   if(!CWndCreate::CreateButton(m_login_btn,"Login",m_tabs1,win_index,m_tabs1,tab_index,7,35,x_size_btn))
      return(false);
   if(!CWndCreate::CreateButton(m_logout_btn,"Logout",m_tabs1,win_index,m_tabs1,tab_index,125,35,x_size_btn))
      return(false);
   
   if(!CWndCreate::CreateTextEdit(m_email_edit,"Email:",m_tabs1,win_index,m_tabs1,tab_index,false,7,65,x_size,170,"","Enter email"))
      return(false);
   if(!CWndCreate::CreateTextEdit(m_password_edit,"Password:",m_tabs1,win_index,m_tabs1,tab_index,false,7,90,x_size,170,"","Enter password"))
      return(false);
      
   if(!CWndCreate::CreateButton(m_save_credentials_btn,"Save credentials",m_tabs1,win_index,m_tabs1,tab_index,7,120,x_size_btn))
      return(false);
   if(!CWndCreate::CreateButton(m_delete_credentials_btn,"Delete credentials",m_tabs1,win_index,m_tabs1,tab_index,125,120,x_size_btn))
      return(false);
      
   tab_index=1;

   if(!CWndCreate::CreateTextEdit(m_signup_name_edit,"Name:",m_tabs1,win_index,m_tabs1,tab_index,false,7,10,x_size,170,"","Enter your name"))
      return(false);
   if(!CWndCreate::CreateTextEdit(m_signup_email_edit,"Email:",m_tabs1,win_index,m_tabs1,tab_index,false,7,35,x_size,170,"","Enter your email"))
      return(false);
   if(!CWndCreate::CreateTextEdit(m_signup_password_edit,"Password:",m_tabs1,win_index,m_tabs1,tab_index,false,7,60,x_size,170,"","Enter your password"))
      return(false);
   if(!CWndCreate::CreateButton(m_register_btn,"Register new user",m_tabs1,win_index,m_tabs1,tab_index,7,90,x_size))
      return(false);
//---
   CWndEvents::CompletedGUI();
   return(true);
}
//+------------------------------------------------------------------+
